cascading.pipe.assembly

## Class AggregateByProps

- java.lang.Object
- - cascading.property.Props
  - - cascading.pipe.assembly.AggregateByProps

    public class AggregateByProps
    extends Props

Class AggregateByProps is a fluent helper for setting various properties related to the cache used in `AggregateBy`.

### Field Summary

Fields
`static java.lang.String` `AGGREGATE_BY_CACHE_FACTORY` property to control the cache factory used in AggregateBy.
`static java.lang.String` `AGGREGATE_BY_CAPACITY` property to control the capacity of the cache to use.
`static int` `AGGREGATE_BY_DEFAULT_CAPACITY` default capacity of caches used in AggregateBy.
`static java.lang.Class<? extends BaseCacheFactory>` `DEFAULT_CACHE_FACTORY_CLASS` default factory class for creating caches.

### Constructor Summary

Constructors
Constructor and Description
`AggregateByProps()`

### Method Summary

Methods
`protected void` `addPropertiesTo(java.util.Properties properties)`
`static AggregateByProps` `aggregateByProps()`
`java.lang.String` `getCacheFactoryClassName()` Returns the name of the cache factory.
`int` `getCapacity()` Returns the capacity.
`AggregateByProps` `setCacheFactoryClass(java.lang.Class<? extends BaseCacheFactory> cacheFactory)` Sets the CacheFactory class to use.
`AggregateByProps` `setCacheFactoryClassName(java.lang.String cacheFactoryClassName)` Sets the name of the CacheFactory class to use.
`AggregateByProps` `setCapacity(int capacity)` Sets the capacity of the cache.

### Methods inherited from class cascading.property.Props

`buildProperties, buildProperties, buildProperties, buildProperties, setProperties, setProperties`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### AGGREGATE_BY_CACHE_FACTORY

    public static java.lang.String AGGREGATE_BY_CACHE_FACTORY

property to control the cache factory used in AggregateBy.

#### AGGREGATE_BY_CAPACITY

    public static final java.lang.String AGGREGATE_BY_CAPACITY

property to control the capacity of the cache to use.

See Also:
  Constant Field Values

#### AGGREGATE_BY_DEFAULT_CAPACITY

    public static int AGGREGATE_BY_DEFAULT_CAPACITY

default capacity of caches used in AggregateBy.

#### DEFAULT_CACHE_FACTORY_CLASS

    public static final java.lang.Class<? extends BaseCacheFactory> DEFAULT_CACHE_FACTORY_CLASS

default factory class for creating caches.

### Constructor Detail

#### AggregateByProps

    public AggregateByProps()

### Method Detail

#### aggregateByProps

    public static AggregateByProps aggregateByProps()

#### setCacheFactoryClass

    public AggregateByProps setCacheFactoryClass(java.lang.Class<? extends BaseCacheFactory> cacheFactory)

Sets the CacheFactory class to use.

Parameters:
  `cacheFactory` - The cache factory class to use.

#### setCacheFactoryClassName

    public AggregateByProps setCacheFactoryClassName(java.lang.String cacheFactoryClassName)

Sets the name of the CacheFactory class to use.

Parameters:
  `cacheFactoryClassName` - The full name of the cache factory class to use.

#### setCapacity

    public AggregateByProps setCapacity(int capacity)

Sets the capacity of the cache.

Parameters:
  `capacity` - The capacity of the cache.

#### getCapacity

    public int getCapacity()

Returns the capacity.

Returns:
  The capacity.

#### getCacheFactoryClassName

    public java.lang.String getCacheFactoryClassName()

Returns the name of the cache factory.

Returns:
  The cache class name.

#### addPropertiesTo

    protected void addPropertiesTo(java.util.Properties properties)

Specified by:
  `addPropertiesTo` in class `Props`